commit:     89eca7a92d0b356f50b6f2e97d1665ab6a05a320
Author:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
AuthorDate: Wed Jul  1 06:13:20 2020 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Wed Jul  1 06:17:08 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=89eca7a9

app-shells/hstr: version and EAPI 7 bump.

Package-Manager: Portage-2.3.99, Repoman-2.3.23
Signed-off-by: Patrice Clement <monsieurp <AT> gentoo.org>

 app-shells/hstr/Manifest        |  1 +
 app-shells/hstr/hstr-2.2.ebuild | 33 +++++++++++++++++++++++++++++++++
 2 files changed, 34 insertions(+)

diff --git a/app-shells/hstr/Manifest b/app-shells/hstr/Manifest
index 602b85af6a4..826da852236 100644
--- a/app-shells/hstr/Manifest
+++ b/app-shells/hstr/Manifest
@@ -1,2 +1,3 @@
 DIST hstr-2.0.tar.gz 1242802 BLAKE2B 
24f1a870e6aa12b6544a38601c6bc654e01aa1a185c4f7735559aa3220ed8d9fb840e298526b9e4a177000f2ec5c08caee5da97e13783e4114bde5276ee1e85e
 SHA512 
50d5e8e61aa853dab0093f4225d3329e98bc59609d8d59abf832cd4cb616d78a2fa091d1ad8d16f3543276c4ead95a419f33a13a96f423bf93dc648da32740b7
 DIST hstr-2.1.tar.gz 1244067 BLAKE2B 
aa37f26a5ba8ee465a03212cc80e55b9581e59cbb535f17fda8e59bed062f0b0065d456d8566927c089595b92270b83235f0bf73f26ac88704bd933c1926cd5b
 SHA512 
ea217ac2b6dcb7e283f83d15524b47f88c5c8cfb82e5728537750a2ec8526f03304503a5bb67970d893e10057aba087aa86a67548aa361c892b6ee3e81903122
+DIST hstr-2.2.tar.gz 1246786 BLAKE2B 
f14091fea391dada79798c957b0b1094aff73b7ab4f8d9fd53c1070924556a7ff59f6f5a2e49b36dcd46ca6f93c5f8cd0fcfef07d5f7458d4bbe021546ccdc7a
 SHA512 
c133edaa63a2be76356c08e52303d4133b11803e3ac6f915566a8d1b4651991b14d43974618061b2fc98c49e21b650ff6b9ac8168512e76566e327f90a550e4a

diff --git a/app-shells/hstr/hstr-2.2.ebuild b/app-shells/hstr/hstr-2.2.ebuild
new file mode 100644
index 00000000000..08f0c98ba78
--- /dev/null
+++ b/app-shells/hstr/hstr-2.2.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools
+
+DESCRIPTION="Shell history suggest box"
+HOMEPAGE="https://github.com/dvorka/hstr http://www.mindforger.com";
+SRC_URI="https://github.com/dvorka/hstr/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+SLOT="0"
+LICENSE="Apache-2.0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+       sys-libs/ncurses:0=[unicode]"
+
+DEPEND="
+       ${RDEPEND}
+       virtual/pkgconfig"
+
+DOCS=( CONFIGURATION.md README.md )
+
+PATCHES=( ${FILESDIR}/${PN}-2.0-fix-ncurses-configure.patch )
+
+src_prepare() {
+       default
+       sed \
+               -e 's:-O2::g' \
+               -i src/Makefile.am || die
+       eautoreconf
+}

Reply via email to